#include "chdecl.h"
void CH_getformatters_fmtcomps(current, sched, cop)
#define ARGUMENTS 8
#include "chhead.h"
select: switch (SELECTOR) {
    case 0: goto c0;
    case 1: goto cb1;
    case 2: goto c2;
    case 3: goto c7;
    case 4: goto c23;
    case 5: goto c26;
    case 6: goto c33;
    case 7: goto c36;
    case 8: goto c41;
    case 9: goto cb50;
    case 10: goto c51;
    case 11: goto c53;
    case 12: goto c56;  }
c0:
/* block , 0 */
  if((ch_returncode = che_block(QUAL(0),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 1;
cb1:
/* receive 3 0 */
  if ((ch_returncode = che_receive(DEF(3),DEF(0),sched)) != Normal)
     goto ch_raise_exception;
  return;
c2:
/* new_table 3.5 , 1 */
  if ((ch_returncode = che_new_table(DEF(3)DOT(5),QUAL(1),sched)) != Normal) 
     goto ch_raise_exception;
/* copy 4 3.4 */
  if((ch_returncode = (REF(3)DOT(4).tsdr->copy)(& ch_val, REF(3)DOT(4).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(4).tsdr)->finalize)(REF(4).value,F_DISCARD,sched);
  REF(4).value = ch_val;
  REF(4).tsdr = datarepmap[REF(3)DOT(4).tsdr->number];
/* block , 2 */
  if((ch_returncode = che_block(QUAL(2),sched)) != Normal)
     goto ch_raise_exception;
/* copy 5 3.3 */
  if((ch_returncode = cp_table(& ch_val, REF(3)DOT(3).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(5).tsdr)->finalize)(REF(5).value,F_DISCARD,sched);
  REF(5).value = ch_val;
  REF(5).tsdr = & dr_table;
/* initget 6 5 , 0,0 */
  (*(REF(6).tsdr)->finalize)(REF(6).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(6),DEF(5),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c7:
/* get_or_goto 6 5 , 36 */
  if ((ch_returncode = get_selected_object(DEF(6),DEF(5),sched)) != Normal)
     goto c36;
/* position 7 6 */
  ch_frame = get_selector_frame(DEF(6),sched);
  ch_t = ch_frame->inspectee->value.table;
  REF(7).value.integer = ch_frame->rmvcount +
    (*(ch_t->tbls[ORDER_TBL].des->position_of))(ch_t,ORDER_TBL,ch_frame->pos);
  REF(7).tsdr = &dr_integer;
/* position 8 6 */
  ch_frame = get_selector_frame(DEF(6),sched);
  ch_t = ch_frame->inspectee->value.table;
  REF(8).value.integer = ch_frame->rmvcount +
    (*(ch_t->tbls[ORDER_TBL].des->position_of))(ch_t,ORDER_TBL,ch_frame->pos);
  REF(8).tsdr = &dr_integer;
/* equal . 8 =(0) , 16 */
  if ( REF(8).value.integer == 0 ) goto c16;
/* ordenum_lit 9 , 46 */
  REF(9).value.ord_enum = 46;
  REF(9).tsdr = & dr_ord_enumeration;
/* insert 3.5 9 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(5),DEF(9),FALSE,0)) != Normal)
     goto ch_raise_exception;
c16:
/* block , 3 */
  if((ch_returncode = che_block(QUAL(3),sched)) != Normal)
     goto ch_raise_exception;
/* find 10 3.2 4.0 , 0 */
  if (findfunc(DEF(10),DEF(3)DOT(2),(
          arguments[0] = DEF(4)DOT(0),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
/* find 11 10.4 4.1 6 , 0 */
  if (findfunc(DEF(11),DEF(10)DOT(4),(
          arguments[0] = DEF(4)DOT(1),
          arguments[1] = DEF(6),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
/* copy 12 11.2 */
  if((ch_returncode = cp_table(& ch_val, REF(11)DOT(2).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(12).tsdr)->finalize)(REF(12).value,F_DISCARD,sched);
  REF(12).value = ch_val;
  REF(12).tsdr = & dr_table;
/* merge 3.5 12 */
  if ((ch_returncode = mergefunc(DEF(3)DOT(5),DEF(12),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* endblock */
  che_endblock(sched);
/* branch , 26 */
   goto c26;
c23:
/* discard 12 */
  (*(REF(12).tsdr)->finalize)(REF(12).value,F_DISCARD,sched);
  REF(12).tsdr = & dr_bottom;
/* chs_lit 13 , "??" */
  if( !chs_lit(DEF(13),"??") ) goto ch_depletion;
/* merge 3.5 13 */
  if ((ch_returncode = mergefunc(DEF(3)DOT(5),DEF(13),FALSE,0)) != Normal)
     goto ch_raise_exception;
c26:
/* block , 4 */
  if((ch_returncode = che_block(QUAL(4),sched)) != Normal)
     goto ch_raise_exception;
/* find 14 3.1 4.0 , 0 */
  if (findfunc(DEF(14),DEF(3)DOT(1),(
          arguments[0] = DEF(4)DOT(0),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
/* find 15 14.1 4.1 , 0 */
  if (findfunc(DEF(15),DEF(14)DOT(1),(
          arguments[0] = DEF(4)DOT(1),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
/* find 16 15.1 6 , 0 */
  if (findfunc(DEF(16),DEF(15)DOT(1),(
          arguments[0] = DEF(6),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
/* copy 4 16.1 */
  if((ch_returncode = (REF(16)DOT(1).tsdr->copy)(& ch_val, REF(16)DOT(1).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(4).tsdr)->finalize)(REF(4).value,F_DISCARD,sched);
  REF(4).value = ch_val;
  REF(4).tsdr = datarepmap[REF(16)DOT(1).tsdr->number];
/* endblock */
  che_endblock(sched);
/* branch , 7 */
   goto c7;
c33:
/* unique 4.0 */
  if ((ch_returncode = che_unique(DEF(4)DOT(0),sched)) != Normal)
     goto ch_raise_exception;
/* branch , 7 */
   goto c7;
c36:
/* endget 6 5 */
  end_selector(DEF(6),DEF(5),sched,GET);
/* discard 5 */
  (*(REF(5).tsdr)->finalize)(REF(5).value,F_DISCARD,sched);
  REF(5).tsdr = & dr_bottom;
/* return 3 */
  if (ch_caller = do_return(REF(3).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(3).value);
  REF(3).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
/* branch , 53 */
   goto c53;
c41:
/* discard 13 */
  (*(REF(13).tsdr)->finalize)(REF(13).value,F_DISCARD,sched);
  REF(13).tsdr = & dr_bottom;
/* chs_lit 17 , "Something happened to Formatcomponent" */
  if( !chs_lit(DEF(17),"Something happened to Formatcomponent") )
     goto ch_depletion;
/* print 17 */
  re_print(stderr, 0, DEF(17)); fflush(stderr);
/* discard 17 */
  (*(REF(17).tsdr)->finalize)(REF(17).value,F_DISCARD,sched);
  REF(17).tsdr = & dr_bottom;
/* print 3.5 */
  re_print(stderr, 0, DEF(3)DOT(5)); fflush(stderr);
/* print 3.3 */
  re_print(stderr, 0, DEF(3)DOT(3)); fflush(stderr);
/* print 7 */
  re_print(stderr, 0, DEF(7)); fflush(stderr);
/* print 4 */
  re_print(stderr, 0, DEF(4)); fflush(stderr);
  current->ip = 9;
cb50:
/* call 3.0.3 3.0 3.1 3.2 4 18 , 5 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(0)DOT(3),
          arguments[1] = DEF(3)DOT(0),
          arguments[2] = DEF(3)DOT(1),
          arguments[3] = DEF(3)DOT(2),
          arguments[4] = DEF(4),
          arguments[5] = DEF(18),
          arguments[5+1] = nil,& arguments[0]),QUAL(5),sched)) != Normal)
     goto ch_raise_exception;
  return;
c51:
/* print 18 */
  re_print(stderr, 0, DEF(18)); fflush(stderr);
/* discard 18 */
  (*(REF(18).tsdr)->finalize)(REF(18).value,F_DISCARD,sched);
  REF(18).tsdr = & dr_bottom;
c53:
/* discard 3 */
  (*(REF(3).tsdr)->finalize)(REF(3).value,F_DISCARD,sched);
  REF(3).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
c56:
/* endprocess */
  che_endprocess(sched); return;
#include "chtail.h"
